## pcapparse

pcapparse

## Properties

gchar * | dst-ip | Read / Write
gint | dst-port | Read / Write
gchar * | src-ip | Read / Write
gint | src-port | Read / Write
GstCaps * | caps | Read / Write
gint64 | ts-offset | Read / Write

## Types and Values

struct | GstPcapParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstPcapParse

## Description

Extracts payloads from Ethernet-encapsulated IP packets. Use “src-ip”, “dst-ip”, “src-port” and “dst-port” to restrict which packets should be included.

The supported data format is the classical libpcap file format.

#### Example pipelines

    1
    2

    gst-launch-1.0 filesrc location=h264crasher.pcap ! pcapparse ! rtph264depay
    ! ffdec_h264 ! fakesink

Read from a pcap dump file using filesrc, extract the raw UDP packets, depayload and decode them.

## Synopsis

### Element Information

plugin | pcapparse
author | Ole André Vadla Ravnås <ole.andre.ravnas@tandberg.com>
class | Raw/Parser

### Element Pads

name | sink
direction | sink
presence | always
details | raw/x-pcap

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstPcapParse

    struct GstPcapParse;

GstPcapParse element.

## Property Details

### The `“dst-ip”` property

      “dst-ip”                   gchar *

Destination IP to restrict to.

Flags: Read / Write

Default value: ""

### The `“dst-port”` property

      “dst-port”                 gint

Destination port to restrict to.

Flags: Read / Write

Allowed values: [G_MAXULONG,65535]

Default value: -1

### The `“src-ip”` property

      “src-ip”                   gchar *

Source IP to restrict to.

Flags: Read / Write

Default value: ""

### The `“src-port”` property

      “src-port”                 gint

Source port to restrict to.

Flags: Read / Write

Allowed values: [G_MAXULONG,65535]

Default value: -1

### The `“caps”` property

      “caps”                     GstCaps *

The caps of the source pad.

Flags: Read / Write

### The `“ts-offset”` property

      “ts-offset”                gint64

Relative timestamp offset (ns) to apply (-1 = use absolute packet time).

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: -1